"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
exports.WriteStream = exports.ReadStream = exports.LargeObject = exports.LargeObjectManager = void 0;
/** @module postgres-large-object */
var LargeObjectManager_1 = __importDefault(require("./LargeObjectManager"));
var LargeObject_1 = __importDefault(require("./LargeObject"));
var ReadStream_1 = __importDefault(require("./ReadStream"));
var WriteStream_1 = __importDefault(require("./WriteStream"));
/**
 * {@link module:postgres-large-object/lib/LargeObjectManager}
 * @constant
 */
exports.LargeObjectManager = LargeObjectManager_1["default"];
/**
 * {@link module:postgres-large-object/lib/LargeObject}
 * @constant
 */
exports.LargeObject = LargeObject_1["default"];
/**
 * {@link module:postgres-large-object/lib/ReadStream}
 * @constant
 */
exports.ReadStream = ReadStream_1["default"];
/**
 * {@link module:postgres-large-object/lib/WriteStream}
 * @constant
 */
exports.WriteStream = WriteStream_1["default"];
